### Enumeration

# GLib VariantClass

since: 2.24

#### Declaration

    enum GLib.VariantClass

#### Description

The range of possible top-level types of `GVariant` instances.

Available since: 2.24

#### Members

`G_VARIANT_CLASS_BOOLEAN`

  The `GVariant` is a boolean.

  - Value: `98`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_BYTE`

  The `GVariant` is a byte.

  - Value: `121`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_INT16`

  The `GVariant` is a signed 16 bit integer.

  - Value: `110`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_UINT16`

  The `GVariant` is an unsigned 16 bit integer.

  - Value: `113`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_INT32`

  The `GVariant` is a signed 32 bit integer.

  - Value: `105`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_UINT32`

  The `GVariant` is an unsigned 32 bit integer.

  - Value: `117`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_INT64`

  The `GVariant` is a signed 64 bit integer.

  - Value: `120`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_UINT64`

  The `GVariant` is an unsigned 64 bit integer.

  - Value: `116`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_HANDLE`

  The `GVariant` is a file handle index.

  - Value: `104`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_DOUBLE`

  The `GVariant` is a double precision floating point value.

  - Value: `100`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_STRING`

  The `GVariant` is a normal string.

  - Value: `115`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_OBJECT_PATH`

  The `GVariant` is a D-Bus object path string.

  - Value: `111`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_SIGNATURE`

  The `GVariant` is a D-Bus signature string.

  - Value: `103`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_VARIANT`

  The `GVariant` is a variant.

  - Value: `118`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_MAYBE`

  The `GVariant` is a maybe-typed value.

  - Value: `109`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_ARRAY`

  The `GVariant` is an array.

  - Value: `97`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_TUPLE`

  The `GVariant` is a tuple.

  - Value: `40`
  - Nickname: `None`
  - Available since: 2.24
`G_VARIANT_CLASS_DICT_ENTRY`

  The `GVariant` is a dictionary entry.

  - Value: `123`
  - Nickname: `None`
  - Available since: 2.24